<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1" />
    <title>AdminLTE 3 | Blank Page</title>

    <!-- Google Font: Source Sans Pro -->
    <link
      rel="stylesheet"
      href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,400i,700&display=fallback"
    />
    <!-- Font Awesome -->
    <link rel="stylesheet" href="plugins/fontawesome-free/css/all.min.css" />
    <!-- Theme style -->
    <link rel="stylesheet" href="dist/css/adminlte.min.css" />

    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
  </head>
  <body class="hold-transition sidebar-mini">
    <!-- Site wrapper -->
    <div class="wrapper">
      <!-- Navbar -->
      <nav class="main-header navbar navbar-expand navbar-white navbar-light">
        <!-- Left navbar links -->
        <ul class="navbar-nav">
          <li class="nav-item">
            <a class="nav-link" data-widget="pushmenu" href="#" role="button"
              ><i class="fas fa-bars"></i
            ></a>
          </li>
          <li class="nav-item d-none d-sm-inline-block">
            <a href="index3.html" class="nav-link">Home</a>
          </li>
          <li class="nav-item d-none d-sm-inline-block">
            <a href="#" class="nav-link">Contact</a>
          </li>
        </ul>
      </nav>
      <!-- /.navbar -->

      <!-- Main Sidebar Container -->
      <aside class="main-sidebar sidebar-dark-primary elevation-4">
        <!-- Brand Logo -->
        <a href="index3.html" class="brand-link">
          <img
            src="dist/img/AdminLTELogo.png"
            alt="AdminLTE Logo"
            class="brand-image img-circle elevation-3"
            style="opacity: 0.8"
          />
          <span class="brand-text font-weight-light">Devcamp 120</span>
        </a>

        <!-- Sidebar -->
        <div class="sidebar">
          <!-- Sidebar user (optional) -->
          <div class="user-panel mt-3 pb-3 mb-3 d-flex">
            <div class="image">
              <img
                src="dist/img/user2-160x160.jpg"
                class="img-circle elevation-2"
                alt="User Image"
              />
            </div>
            <div class="info">
              <a href="#" class="d-block">Đinh Nhật Toàn</a>
            </div>
          </div>

          <!-- SidebarSearch Form -->
          <div class="form-inline">
            <div class="input-group" data-widget="sidebar-search">
              <input
                class="form-control form-control-sidebar"
                type="search"
                placeholder="Search"
                aria-label="Search"
              />
              <div class="input-group-append">
                <button class="btn btn-sidebar">
                  <i class="fas fa-search fa-fw"></i>
                </button>
              </div>
            </div>
          </div>

          <!-- Sidebar Menu -->
          <nav class="mt-2">
            <ul
              class="nav nav-pills nav-sidebar flex-column"
              data-widget="treeview"
              role="menu"
              data-accordion="false"
            >
              <!-- Add icons to the links using the .nav-icon class
               with font-awesome or any other icon font library -->
              <li class="nav-item menu-open">
                <a href="#" class="nav-link active">
                  <i class="nav-icon fas fa-tachometer-alt"></i>
                  <p>
                    Dashboard
                    <i class="right fas fa-angle-left"></i>
                  </p>
                </a>
                <ul class="nav nav-treeview">
                  <li class="nav-item">
                    <a href="user.html" class="nav-link active">
                      <i class="far fa-circle nav-icon"></i>
                      <p>Users</p>
                    </a>
                  </li>
                  <li class="nav-item">
                    <a href="product.html" class="nav-link">
                      <i class="far fa-circle nav-icon"></i>
                      <p>Products</p>
                    </a>
                  </li>
                  <li class="nav-item">
                    <a href="order.html" class="nav-link">
                      <i class="far fa-circle nav-icon"></i>
                      <p>Orders</p>
                    </a>
                  </li>
                </ul>
              </li>
            </ul>
          </nav>
          <!-- /.sidebar-menu -->
        </div>
        <!-- /.sidebar -->
      </aside>

      <!-- Content Wrapper. Contains page content -->
      <div class="content-wrapper">
        <!-- Content Header (Page header) -->
        <section class="content-header">
          <div class="container-fluid">
            <div class="row mb-2">
              <div class="col-sm-6">
                <h1>List user</h1>
              </div>
              <div class="col-sm-6">
                <ol class="breadcrumb float-sm-right">
                  <li class="breadcrumb-item"><a href="#">Home</a></li>
                  <li class="breadcrumb-item active">User</li>
                </ol>
              </div>
            </div>
          </div>
          <!-- /.container-fluid -->
        </section>

        <!-- Main content -->
        <section class="content">
          <div class="container-fluid">
            <h2 style="text-align: center">Danh sách người dùng</h2>

            <table
              class="table table-bordered table-striped table-hover"
              id="table-users"
            >
              <thead>
                <tr>
                  <th>Mã người dùng</th>
                  <th>Firstname</th>
                  <th>Lastname</th>
                  <th>Age</th>
                  <th>Action</th>
                </tr>
              </thead>
              <tbody></tbody>
            </table>
          </div>

          <!-- Modal user detail-->
          <div>
            <div class="modal fade" id="modal-user-detail" tabindex="-1">
              <div class="modal-dialog">
                <div class="modal-content">
                  <div class="modal-header">
                    <h5 class="modal-title">User detail information</h5>
                    <button
                      type="button"
                      class="close"
                      data-dismiss="modal"
                      aria-label="Close"
                    >
                      <span aria-hidden="true">&times;</span>
                    </button>
                  </div>
                  <div class="modal-body">
                    <form>
                      <div class="row form-group">
                        <label class="col-form-label col-sm-4">User Id</label>
                        <div class="col-sm-8">
                          <input
                            type="text"
                            class="form-control"
                            id="input-user-id"
                          />
                        </div>
                      </div>
                      <div class="row form-group">
                        <label class="col-form-label col-sm-4"
                          >First Name</label
                        >
                        <div class="col-sm-8">
                          <input
                            type="text"
                            class="form-control"
                            id="input-firstname"
                          />
                        </div>
                      </div>
                      <div class="row form-group">
                        <label class="col-form-label col-sm-4">Last Name</label>
                        <div class="col-sm-8">
                          <input
                            type="text"
                            class="form-control"
                            id="input-lastname"
                          />
                        </div>
                      </div>
                      <div class="row form-group">
                        <label class="col-form-label col-sm-4">Age</label>
                        <div class="col-sm-8">
                          <input
                            type="text"
                            class="form-control"
                            id="input-age"
                          />
                        </div>
                      </div>
                    </form>
                  </div>
                  <div class="modal-footer">
                    <button
                      type="button"
                      class="btn btn-secondary"
                      data-dismiss="modal"
                    >
                      Close
                    </button>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </section>
        <!-- /.content -->
      </div>
      <!-- /.content-wrapper -->

      <footer class="main-footer">
        <div class="float-right d-none d-sm-block"><b>Version</b> 1.0.0</div>
        <strong
          >Copyright &copy; 2023
          <a href="https://adminlte.io">Devcamp 120</a>.</strong
        >
        All rights reserved.
      </footer>
      <!-- /.control-sidebar -->
    </div>
    <!-- ./wrapper -->

    <!-- jQuery -->
    <script src="plugins/jquery/jquery.min.js"></script>
    <!-- Bootstrap 4 -->
    <script src="plugins/bootstrap/js/bootstrap.bundle.min.js"></script>

    <script src="https://cdn.datatables.net/1.10.24/js/jquery.dataTables.min.js"></script>
    <script src="https://cdn.datatables.net/1.10.24/js/dataTables.bootstrap4.min.js"></script>
    <!-- AdminLTE App -->
    <script src="dist/js/adminlte.min.js"></script>
    ​
    <script>
      var gJsonUser = `{
        "description": "Data user",
        "users": [
          {
            "userId": 1,
            "firstname": "Test1",
            "lastname": "User1",
            "age": 18
          },
          {
            "userId": 2,
            "firstname": "Test2",
            "lastname": "User2",
            "age": 19
          },
          {
            "userId": 3,
            "firstname": "Test3",
            "lastname": "User3",
            "age": 18
          },
          {
            "userId": 4,
            "firstname": "Test4",
            "lastname": "User4",
            "age": 20
          },
          {
            "userId": 5,
            "firstname": "Test5",
            "lastname": "User5",
            "age": 21
          },
          {
            "userId": 6,
            "firstname": "Test6",
            "lastname": "User6",
            "age": 20
          }
        ]
      }`;

      // Biến mảng toàn cục chứa danh sách tên các thuộc tính
      const gUSER_COLS = ["userId", "firstname", "lastname", "age", "action"];

      // Biến mảng toàn cục định nghĩa chỉ số các cột tương ứng
      const gUSER_ID_COL = 0;
      const gUSER_FIRSTNAME_COL = 1;
      const gUSER_LASTNAME_COL = 2;
      const gUSER_AGE_COL = 3;
      const gUSER_ACTION_COL = 4;

      var gUserObj = JSON.parse(gJsonUser);
      var gUserTable = $("#table-users").DataTable({
        data: gUserObj.users,
        columns: [
          { data: gUSER_COLS[gUSER_ID_COL] },
          { data: gUSER_COLS[gUSER_FIRSTNAME_COL] },
          { data: gUSER_COLS[gUSER_LASTNAME_COL] },
          { data: gUSER_COLS[gUSER_AGE_COL] },
          { data: gUSER_COLS[gUSER_ACTION_COL] },
        ],
        columnDefs: [
          {
            targets: gUSER_ACTION_COL,
            defaultContent:
              "<button class='btn btn-primary user-detail'>Chi tiết</button>",
          },
        ],
      });

      $("#table-users tbody").on("click", ".user-detail", function () {
        onUserDetailClick(this);
      });

      // hàm xử lý khi click vào nút user detail
      function onUserDetailClick(paramUserDetailBtn) {
        var vUserDetailBtn = $(paramUserDetailBtn);
        var vTableRow = vUserDetailBtn.parents("tr");
        var vDataTableRow = gUserTable.row(vTableRow);
        var vData = vDataTableRow.data();
        /***
         * TODO: xử lý tiếp để show dữ liệu user lên Modal
         */

        $("#input-user-id").val(vData.userId);
        $("#input-firstname").val(vData.firstname);
        $("#input-lastname").val(vData.lastname);
        $("#input-age").val(vData.age);
        $("#modal-user-detail").modal("show");
      }
    </script>
  </body>
</html>
